/*
 *   Copyright 2011 Institute of Communication and Computer Systems (ICCS) 
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

#ifndef OTHER_H
#define OTHER_H

#include "dmm_config.h"
#include <dmmlib/heap.h>

size_t req_padding(size_t size);

#ifdef WITH_FIXED_LISTS
int map_size_to_list(heap_t *heap, size_t sz);
#endif /* WITH_FIXED_LISTS */

#ifndef WITH_MEMORY_SPACE_AWARENESS
int map_thread_heap(void);
#endif /* WITH_MEMORY_SPACE_AWARENESS */

#endif /* OTHER_H */

